package com.kingdee.eas.custom.attendanceexception.bean;

import java.util.UUID;

/**
 * @Description TODO
 * @Date 2025/4/17 15:57
 * @Created by Heyuan
 */
public class SyncAttendanceDataBean {
    //消息 id
    private String msgId;
    //部门名称
    private String departmentName;
    //员工姓名
    private String employeeName;
    //异常日期，格式：YYYY-MM-DD
    private String exceptionDate;
    //考勤结果，如迟到、早退等
    private String attendanceResult;
    //异常次数
    private int times;
    //工号
    private String employeeId;
    //部门编码
    private String departmentCode;
    //部门长名称
    private String departmentManagerName;
    //部门长编码
    private String departmentManagerCode;
    //部门排序码
    private String departmentSortCode;


    public SyncAttendanceDataBean() {
        this.exceptionDate = "";
    }

    public String getMsgId() {
        return msgId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public String getExceptionDate() {
        return exceptionDate;
    }

    public String getAttendanceResult() {
        return attendanceResult;
    }

    public int getTimes() {
        return times;
    }

    public String getEmployeeId() {
        return employeeId;
    }

    public String getDepartmentCode() {
        return departmentCode;
    }

    public String getDepartmentManagerName() {
        return departmentManagerName;
    }

    public String getDepartmentManagerCode() {
        return departmentManagerCode;
    }

    public String getDepartmentSortCode() {
        return departmentSortCode;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public void setEmployeeName(String employeeName) {
        this.employeeName = employeeName;
    }

    public void setExceptionDate(String exceptionDate) {
        this.exceptionDate = exceptionDate;
    }

    public void setAttendanceResult(String attendanceResult) {
        this.attendanceResult = attendanceResult;
    }

    public void setTimes(int times) {
        this.times = times;
    }

    public void setEmployeeId(String employeeId) {
        this.employeeId = employeeId;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public void setDepartmentManagerName(String departmentManagerName) {
        this.departmentManagerName = departmentManagerName;
    }

    public void setDepartmentManagerCode(String departmentManagerCode) {
        this.departmentManagerCode = departmentManagerCode;
    }

    public void setDepartmentSortCode(String departmentSortCode) {
        this.departmentSortCode = departmentSortCode;
    }

    @Override
    public String toString() {
        return "SyncAttendanceDataBean{" +
                "msgId='" + msgId + '\'' +
                ", departmentName='" + departmentName + '\'' +
                ", employeeName='" + employeeName + '\'' +
                ", exceptionDate='" + exceptionDate + '\'' +
                ", attendanceResult='" + attendanceResult + '\'' +
                ", times=" + times +
                ", employeeId='" + employeeId + '\'' +
                ", departmentCode='" + departmentCode + '\'' +
                ", departmentManagerName='" + departmentManagerName + '\'' +
                ", departmentManagerCode='" + departmentManagerCode + '\'' +
                ", departmentSortCode='" + departmentSortCode + '\'' +
                '}';
    }
}
